const codeMirror = {
  data () {
    return {
      code: "",
      editorOptions: {
        // codemirror options
        tabSize: 2,
        readOnly: true,
        mode: 'text/javascript',
        theme: 'base16-dark',
        lineNumbers: true,
        line: true,
        extraKeys: { "Ctrl": "autocomplete" },
        foldGutter: true,
        gutters: ["CodeMirror-linenumbers", "CodeMirror-foldgutter"],
        styleSelectedText: true,
        highlightSelectionMatches: { showToken: /\w/, annotateScrollbar: true },
      }
    }
  },
}
export default codeMirror